# Jeu de belote

Jeu de belote en ligne basé sur flask et socket.io.

L'ensemble de ce dépôt est sous licence GPL v3.

## Installation

 1. Créer un environnement virtuel `venv` (`python3 -m venv venv`)
 2. Activer l'environnement virtuel (`. venv/bin/activate`)
 3. Installer les prérequis (`pip install -r requirements.txt`)
 4. Vous pouvez démarrer le serveur `python belote.py` !

## Crédits et remerciements

 * Cartes : Inspiré de SVG-cards par David Bellot <david.bellot@free.fr>
 * Design : Camille Viallon

## Principe

 * `belote.py` définit les routes
 * `db.py` gère le jeu et l'enregistrement en base de donnée
 * `belote_ws.py` gère l'interactivité (avec des websockets)
 * Le dossier `templates` contient les template jinja2 pour le rendu web
 * Le dossier `static` contient les scripts, images et feuilles de style

Si aucun utilisateur n'existe dans la base de donnée, un premier utilisateur
de login `admin` et de mot de passe `admin` est créé. 
A vous de changer le mot de passe avant mise en ligne !

## Licence

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>

Copyright (C) 2020 L. Viallon-Galinier
